/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.admin.users.PasswordChangeDialog");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dijit.form.Button");
dojo.require("dijit.form.TextBox");
dojo.require("dojox.data.dom");

(function() {
	
dojo.declare("com.ibm.team.repository.web.ui.internal.admin.users.PasswordChangeDialog", [dijit._Widget, dijit._Templated], {
		
	templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/admin/users/templates/PasswordChangeDialog.html"),
	widgetsInTemplate: true,
	
	constructor: function (args) {
		this.itemId = args.itemId;
		this.userId = args.userId;
		this.userName = args.userName;
	},
	
	postCreate: function () {
		if (this.userName != null && this.userName != "") {
			this.userNameSpan.appendChild(document.createTextNode(this.userName));
		}
		this.dialog = new net.jazz.ajax.ui.internal.Dialog({
			contentNode: this.contentNode,
			primaryTitle: "Change Password",
			width: "300px",
			isClosable: true
		});
	},
	
	showErrorMessage: function (msg) {
		this.messageArea.className = "error";
		dojox.data.dom.removeChildren(this.messageArea);
		this.messageArea.appendChild(document.createTextNode(msg));
	},
	
	close: function () {
		this.dialog.close();
	}
});

})();